%define name	mad
%define version	0.14.2b
%define release	gst.1

Summary:	MPEG audio fixed-point decoder and library
Name:		%{name}
Version:	%{version}
Release:	%{release}

Group:		Libraries/Multimedia
Copyright:	LGPL
URL:		http://mad.sourceforge.net/
Vendor:		GStreamer Backpackers Team <package@gstreamer.net>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-root

Conflicts:	mad-libs

%description
mad is a high-quality fixed-point (integer) MPEG audio decoder and library.

%package devel
Summary:	MPEG audio fixed-point decoder and library development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
mad-devel contains the files necessary to build packages that use the mad
library.

%prep
%setup -q -n %{name}-%{version}

%build
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=/usr --enable-shared
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
fi
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%doc /usr/man/man1/madplay.1*
%doc /usr/man/man1/abxtest.1*
/usr/lib/libmad.so.*
/usr/lib/libid3tag.so.*
/usr/bin/madplay
/usr/bin/abxtest
/usr/share/locale/*/*/*

%files devel
%defattr(-,root,root)
/usr/include/mad.h
/usr/include/id3tag.h
/usr/lib/libmad.a
/usr/lib/libmad.so
/usr/lib/libmad.la
/usr/lib/libid3tag.a
/usr/lib/libid3tag.so
/usr/lib/libid3tag.la

%changelog
* Sat Apr 27 2002 Thomas Vander Stichele <thomas@apestaart.org>
- added libid3tag
- added locale stuff
- conflict with mad-libs (from PLD)

* Fri Apr 12 2002 Erik Walthinsen <omega@temple-baptist.com>
- initial spec file created for GStreamer Red-carpet channel
